Bug 524371 - Cancel button fails to work when downloading fiilelist db information
Summary: Cancel button fails to work when downloading fiilelist db information
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-19 14:29 UTC by Peter Trenholme
Modified: 2010-02-07 13:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-07 13:10:03 UTC


Attachments (Terms of Use)

Description Peter Trenholme 2009-09-19 14:29:58 UTC
Description of problem:
I'd been looking a the file information for an app, and (after starting breakfast cooking), moved to another app, forgetting I was in "file list" mode. When the db started to download, I attempted to cancel it since I was only interested in the description of the app. Cancel failed to have any effect.

Version-Release number of selected component (if applicable):
2.9.0 PreView 0.13

How reproducible:
Haven't tried

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Download continued

Expected results:
Download cancelled

Additional info:
Not related to this bug, but it would be a thing "nice to have" the the state of the information pop-up was saved (i.e., screen location, minimization, etc.) and used when the next informational pop-up was to be displayed. Another "nice-to-have" would be an option to display the information on, say, the left yumex screen panel, under the display type election buttons. (The informational pop-up is, basically, obtrusive and useless.)

Comment 1 Tim Lauridsen 2009-10-01 15:32:07 UTC
the current Cancel button does not do anything, it is hard to stop yum background actions in the middle of an action in a safe way :(

I might add a possiblity to dock the progress to the main window in the future.

Comment 2 Bug Zapper 2009-11-16 12:38:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Tim Lauridsen 2009-12-30 14:29:48 UTC
Cancel button has been remove upstream, it does nothing.
It is very hard to cancel the backend yum action without ending up in some limbo state, so it will not be possible for now.

Comment 4 Fedora Update System 2010-01-01 10:57:21 UTC
yumex-2.9.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yumex-2.9.5-1.fc12

Comment 5 Fedora Update System 2010-01-02 03:35:54 UTC
yumex-2.9.5-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yumex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0044


Note You need to log in before you can comment on or make changes to this bug.